Follow

Dazzle Browser Requirements

Dazzle is web based and can be accessed from any PC (Windows), MAC, or iPad tablet with internet connection using the following web browsers:

  • Mozilla FireFox: Version 60 or higher

  • Safari (on a Mac): Version 9 or higher

  • Google Chrome (on a PC):  Version 72 or higher (not supported on an iPad or Mac computer)

  • Internet Explorer: not supported
  • Microsoft Edge: Version 15 or higher

 Your browser and version information can be found on the WhatIsMyBrowser.com website.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk